module NetworkedRFID

  # Ответ на запрос о состоянии, когда карта приложена к ридеру.
  class RFIDCardReadReply < BinData::Record
    skip   length: 1
    array :card_number_bytes, type: :uint8, initial_length: 7

    # Номер приложенной карты.
    def card_number
      card_number_bytes.to_a.reverse.inject(0) { |number, byte| (number << 8) + byte }
    end
  end

end