module NetworkedRFID

  # Двоичная структура ответа на запрос о состоянии ридера.
  class RFIDReply < BinData::Record
    POLL_REPLY = 1
    RFID_READ  = 8

    skip  length: 3
    uint8 :packet_type

    choice :payload, :selection => ->{ packet_type } do
      rfid_poll_reply 1
      rfid_card_read_reply 8
      rest :default
    end

    # Тип ответа.
    def type
      {
        POLL_REPLY => :poll_reply,
        RFID_READ  => :rfid_read
      }[packet_type]
    end

  end

end